from typing import Iterable

from .entities import Event
from .fetching import BaseFetcher


class EventParser:
    fetcher: BaseFetcher

    def __init__(self, fetcher: BaseFetcher):
        self.fetcher = fetcher

    def events(self, term_name: str) -> Iterable[Event]:
        raise NotImplementedError
